## lua5.1 5.1

=== Makefile ===
# makefile for installing Lua
# see INSTALL for installation instructions
# see src/Makefile and src/luaconf.h for further customization

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

# Where to install. The installation starts in the src directory, so take care
# if INSTALL_TOP is not an absolute path. (Man pages are installed from the
# doc directory.)
#
INSTALL_TOP= /usr/local
INSTALL_BIN= $(INSTALL_TOP)/bin
INSTALL_INC= $(INSTALL_TOP)/include
INSTALL_LIB= $(INSTALL_TOP)/lib
INSTALL_MAN= $(INSTALL_TOP)/man/man1
INSTALL_LMOD= $(INSTALL_TOP)/share/lua/$V
INSTALL_CMOD= $(INSTALL_TOP)/lib/lua/$V

# How to install. You may prefer "install" instead of "cp" if you have it.
# To remove debug information from binaries, use "install -s" in INSTALL_EXEC.
#
INSTALL_EXEC= $(CP)
INSTALL_DATA= $(CP)
#INSTALL_EXEC= $(INSTALL) -m 0755
#INSTALL_DATA= $(INSTALL) -m 0644

# Utilities.
CP= cp
FIND= find
INSTALL= install
MKDIR= mkdir
RANLIB= ranlib

# == END OF USER SETTINGS. NO NEED TO CHANGE ANYTHING BELOW THIS LINE =========

# Convenience platforms targets.
PLATS= aix ansi bsd generic linux macosx mingw posix solaris

# What to install.
TO_BIN= lua luac
TO_INC= lua.h luaconf.h lualib.h lauxlib.h ../etc/lua.hpp
TO_LIB= liblua.a
TO_MAN= lua.1 luac.1

# Lua version. Currently used only for messages.
V= 5.1

all:	$(PLAT)

$(PLATS) clean:
	cd src && $(MAKE) $@

test:	dummy
	src/lua test/hello.lua

install: dummy
	cd src && $(MKDIR) -p $(INSTALL_BIN) $(INSTALL_INC) $(INSTALL_LIB) $(INSTALL_MAN) $(INSTALL_LMOD) $(INSTALL_CMOD)
	cd src && $(INSTALL_EXEC) $(TO_BIN) $(INSTALL_BIN)
	cd src && $(INSTALL_DATA) $(TO_INC) $(INSTALL_INC)
	cd src && $(INSTALL_DATA) $(TO_LIB) $(INSTALL_LIB)
	cd doc && $(INSTALL_DATA) $(TO_MAN) $(INSTALL_MAN)
#	$(RANLIB) $(INSTALL_LIB)/$(TO_LIB)

local:
	$(MAKE) install INSTALL_TOP=.. INSTALL_EXEC="cp -p" INSTALL_DATA="cp -p"

none:
	@echo "Please do"
	@echo "   make PLATFORM"
	@echo "where PLATFORM is one of these:"
	@echo "   $(PLATS)"
	@echo "See INSTALL for complete instructions."

# make may get confused with test/ and INSTALL in a case-insensitive OS
dummy:

# echo config parameters
echo:
	@echo ""
	@echo "These are the parameters currently set in src/Makefile to build Lua $V:"
	@echo ""
	@cd src && $(MAKE) -s echo
	@echo ""
	@echo "These are the parameters currently set in Makefile to install Lua $V:"
	@echo ""
	@echo "PLAT = $(PLAT)"
	@echo "INSTALL_TOP = $(INSTALL_TOP)"
	@echo "INSTALL_BIN = $(INSTALL_BIN)"
	@echo "INSTALL_INC = $(INSTALL_INC)"
	@echo "INSTALL_LIB = $(INSTALL_LIB)"
	@echo "INSTALL_MAN = $(INSTALL_MAN)"
	@echo "INSTALL_LMOD = $(INSTALL_LMOD)"
	@echo "INSTALL_CMOD = $(INSTALL_CMOD)"
	@echo "INSTALL_EXEC = $(INSTALL_EXEC)"
	@echo "INSTALL_DATA = $(INSTALL_DATA)"
	@echo ""
	@echo "See also src/luaconf.h ."
	@echo ""

# echo private config parameters
pecho:
	@echo "V = $(V)"
	@echo "TO_BIN = $(TO_BIN)"
	@echo "TO_INC = $(TO_INC)"
	@echo "TO_LIB = $(TO_LIB)"
	@echo "TO_MAN = $(TO_MAN)"

# echo config parameters as Lua code
# uncomment the last sed expression if you want nil instead of empty strings
lecho:
	@echo "-- installation parameters for Lua $V"
	@echo "VERSION = '$V'"
	@$(MAKE) echo | grep = | sed -e 's/= /= "/' -e 's/$$/"/' #-e 's/""/nil/'
	@echo "-- EOF"

# show what has changed since we unpacked
newer:
	@$(FIND) . -newer MANIFEST -type f

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) clean test install local none dummy echo pecho lecho newer

# (end of Makefile)

## lua5.1 5.1.4

=== debian/changelog ===
lua5.1 (5.1.4-12) unstable; urgency=low

  * Provide liblua5.1-c++.so and lua5.1-c++.pc to make it possible to C++
    programs to link against Lua and use the C++ exception mecanism.
    (Closes: #560139)
  * Add lua patch 5.1.4-4 fixing all known bugs of lua 5.1.4 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 25 Dec 2011 20:15:03 +0100

lua5.1 (5.1.4-11) unstable; urgency=low

  * Provides: lua, as lua50 does 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 07 Dec 2011 21:27:02 +0100

lua5.1 (5.1.4-10) unstable; urgency=low

  * Use -lpthread on lua5.1 only on hurd.

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 25 Jul 2011 10:15:30 +0200

lua5.1 (5.1.4-9) unstable; urgency=low

  * Use -lpthread on hurd also for lua5.1, and not only liblua5.1

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 25 Jul 2011 00:24:09 +0200

lua5.1 (5.1.4-8) unstable; urgency=low

  * cosmetic change to rules 
  * LDFLAGS=-lpthread on hurd, to allow to dlopen libs linked with pthreads 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 24 Jul 2011 21:59:46 +0200

lua5.1 (5.1.4-7) unstable; urgency=low

  * Fixed dh_installdocs target for dpkg-buildpackage -B

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 12:42:45 +0200

lua5.1 (5.1.4-6) unstable; urgency=low

  * Switch to source-format 3.0 (quilt) 
  * Switch from CDBS to dh, thanks for all the fish CDBS!
  * Muti-Arch compatibility
  * Removed .la file and updated examples accordingly
  * Fixed flags in .pc file (Closes: #497942)
  * Added upstream patch-lua-5.1.4-3 (Closes: #586552)
  * Better short descriptions (Closes: #597081)
  * Update Standards-Version to 3.9.2 (no changes)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 19 Jul 2011 16:06:11 +0200

lua5.1 (5.1.4-5) unstable; urgency=low

  * Fixed #include directives and calls to luaopen_* in the examples. 
    Thanks Mike Pall for reporting that (private mail).

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 05 Nov 2009 20:44:38 +0100

lua5.1 (5.1.4-4) unstable; urgency=low

  * build-depend on libreadline-dev (and not libreadline5-dev) to
    help the transition to libreadline6 (Closes: #551162)
  * added README.source pointing to default dpatch README.source
  * made lintian happy build-depending on debhelper >= 5
  * updated standards-version to 3.8.3, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 16 Oct 2009 12:54:41 +0200

lua5.1 (5.1.4-3) unstable; urgency=low

  * added lua5.1-doc.doc-base Abstract: field.
  * -dbg package moved to section debug as suggested by lintian 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Apr 2009 13:06:23 +0200

lua5.1 (5.1.4-2) unstable; urgency=low

  * upload to unstable
  * updated standards version to 3.8.1 
  * added ${misc:Depends} to make lintian happy 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 15 Mar 2009 10:14:37 +0100

lua5.1 (5.1.4-1) experimental; urgency=low

  * New upstream bugfix release
  * Bumped version-standards to 3.8.0, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 03 Sep 2008 18:28:39 +0200

lua5.1 (5.1.3-1) unstable; urgency=low

  * New upstream release (bugfix only release)
  * Bumped version-standards to 3.7.3, no changes needed
  * Fixed Vcs-* fields in control
  * Added Homepage: field in control and removed hand-made links to the lua
    website
  * set priority of -dbg package to extra

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 26 Jan 2008 16:28:55 +0100

lua5.1 (5.1.2-4) unstable; urgency=low

  * Added dependency of liblua5.1-0-dbg on liblua5.1-0 (= ${binary:Version})
    as recommended by the developer reference section 6.7.9.
    This sould also prevent deborphan from considering it for removal (Closes: #446531).

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 14 Oct 2007 15:03:49 +0200

lua5.1 (5.1.2-3) unstable; urgency=low

  * Patch from upstream to fix assignement bug in lparser.c
    See: http://lua-users.org/lists/lua-l/2007-07/msg00617.html

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 01 Aug 2007 12:34:19 +0200

lua5.1 (5.1.2-2) unstable; urgency=low

  * Added -dbg package (Closes: #434815)
  * Made control file binNMU safe

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 27 Jul 2007 18:08:50 +0100

lua5.1 (5.1.2-1) unstable; urgency=low

  * New upstream release, lua5.1.2
  * Remove build workaround for fixed cdbs bug

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Apr 2007 20:26:49 +0200

lua5.1 (5.1.1-2) unstable; urgency=low

  * Added a proper watch file.
  * Fixed URL in copyright.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 10 Sep 2006 14:24:26 +0200

lua5.1 (5.1.1-1) unstable; urgency=low

  [ John V. Belmonte ]
  * New upstream version, lua5.1.1
  * Add README.Debian to all packages.
  * Small fix to example makefile.
  * Improvements to regression test.

  [ Enrico Tassi ]
  * Removed build-essential from Build-Depends (Closes: #366854)
  * Confirm Debian policy version 3.7.2.

 -- John V. Belmonte <jbelmonte@debian.org>  Tue, 13 Jun 2006 23:01:14 -0400

lua5.1 (5.1-1) unstable; urgency=low

  [ Enrico Tassi ]
  * New upstream release, lua5.1-final

  [ John V. Belmonte ]
  * Set lua and luac alternatives priority higher than other Lua packages.
  * Fix man page symlinks of alternatives.
  * Give up "liblua-?.so" variations in package.cpath.
  * Add package regression test.

 -- John V. Belmonte <jbelmonte@debian.org>  Sat, 18 Feb 2006 09:49:27 -0500

lua5.1 (5.0.103-1) unstable; urgency=low

  [ John V. Belmonte ]
  * New upstream release, lua5.1-rc4

  [ Enrico Tassi ]
  * Fixed linking problem with modules.  Now the command line intepreter
    exports all symbols so that .so modules loaded with require() do not need
    to be linked against the Lua library.  The was causing duplicated Lua
    library code, resulting in wasted space and run-time problems.

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 14 Feb 2006 19:17:16 +0100



=== debian/control ===
Source: lua5.1
Section: interpreters
Priority: optional
Maintainer: John V. Belmonte <jbelmonte@debian.org>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), quilt (>= 0.40), libtool, libreadline-dev
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua5.1
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua5.1
Homepage: http://www.lua.org

Package: lua5.1-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for the Lua language version 5.1
 Lua is a powerful, light-weight programming language designed for extending
 applications.  The language engine is accessible as a library, having a C
 API which allows the application to exchange data with Lua programs and also
 to extend Lua with C functions.  Lua is also used as a general-purpose,
 stand-alone language through the simple command line interpreter provided.
 .
 This package contains the official manual covering the Lua language and C API,
 examples, etc.

Package: lua5.1
Architecture: any
Multi-Arch: foreign
Provides: lua
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple, extensible, embeddable programming language
 Lua is a powerful, light-weight programming language designed for extending
 applications.  The language engine is accessible as a library, having a C
 API which allows the application to exchange data with Lua programs and also
 to extend Lua with C functions.  Lua is also used as a general-purpose,
 stand-alone language through the simple command line interpreter provided.
 .
 This package contains the Lua command line interpreter and bytecode compiler.
 Install it if you are developing or using Lua scripts.

Package: liblua5.1-0-dev
Provides: liblua5.1-dev
Conflicts: liblua5.1-dev
Architecture: any
Multi-Arch: same
Depends: liblua5.1-0 (= ${binary:Version}), libc6-dev|libc-dev, libreadline-dev, ${misc:Depends}
Recommends: pkg-config, libtool
Section: libdevel
Description: Development files for the Lua language version 5.1
 Lua is a powerful, light-weight programming language designed for extending
 applications.  The language engine is accessible as a library, having a C
 API which allows the application to exchange data with Lua programs and also
 to extend Lua with C functions.  Lua is also used as a general-purpose,
 stand-alone language through the simple command line interpreter provided.
 .
 This package contains developer resources for using the Lua library.
 Install it if you are developing programs which use the Lua C API, both
 in C or C++.

Package: liblua5.1-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: Shared library for the Lua interpreter version 5.1
 Lua is a powerful, light-weight programming language designed for extending
 applications.  The language engine is accessible as a library, having a C
 API which allows the application to exchange data with Lua programs and also
 to extend Lua with C functions.  Lua is also used as a general-purpose,
 stand-alone language through the simple command line interpreter provided.
 .
 This package contains runtime libraries.  You shouldn't need to install it
 explicitly.

Package: liblua5.1-0-dbg
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, liblua5.1-0 (= ${binary:Version}), ${misc:Depends}
Section: debug
Priority: extra
Description: Debug symbols for the Lua shared library interpreter
 This package contains the debugging symbols for liblua5.1 and lua5.1

=== debian/rules ===
#!/usr/bin/make -f

LUA_V = 5.1
LUA_FULL_V = 5.1.4
SONUM = 0
LUA = lua$(LUA_V)

DEB_DESTDIR := $(shell pwd)/debian/tmp/usr
LIB_PACKAGE_NAME = lib$(LUA)-$(SONUM)

PKG_DIR = $(DEB_DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
PKG_CONFIG_FILE = $(PKG_DIR)/$(LUA).pc
PKGPP_CONFIG_FILE = $(PKG_DIR)/$(LUA)-c++.pc
DOC_DIR = debian/$(LUA)-doc/usr/share/doc/$(LUA)-doc

ifeq (hurd,$(shell dpkg-architecture -qDEB_HOST_ARCH_OS))
	LDFLAGS=-lpthread
endif

%:
	dh $*

override_dh_auto_build:
	$(MAKE) debian_linux \
		RPATH=/usr/lib/$(DEB_HOST_MULTIARCH) \
		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
		LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	$(MAKE) debian_install \
		INSTALL_TOP=$(DEB_DESTDIR) \
		INSTALL_MAN=$(DEB_DESTDIR)/share/man/man1 \
		INSTALL_INC=$(DEB_DESTDIR)/include/$(LUA) \
		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH)

override_dh_auto_clean:
	$(MAKE) debian_clean

override_dh_auto_test:
	$(MAKE) debian_test

override_dh_installdocs:
	dh_installdocs -X/man/ -A debian/README.Debian
ifneq (,$(filter lua5.1-doc, $(shell dh_listpackages)))
	chmod +x $(DOC_DIR)/examples/debian/script/hello
	mv $(DOC_DIR)/doc/readme.html $(DOC_DIR)/doc/index.html
endif

override_dh_install:
	mkdir -p $(PKG_DIR)
	echo "prefix=/usr" > $(PKG_CONFIG_FILE)
	echo "major_version=$(LUA_V)" >> $(PKG_CONFIG_FILE)
	echo "version=$(LUA_FULL_V)" >> $(PKG_CONFIG_FILE)
	echo "lib_name_include=lua$(LUA_V)" >> $(PKG_CONFIG_FILE)
	echo "deb_host_multiarch=$(DEB_HOST_MULTIARCH)" >> $(PKG_CONFIG_FILE)
	cat debian/lua.pc.in >> $(PKG_CONFIG_FILE)
	echo "prefix=/usr" > $(PKGPP_CONFIG_FILE)
	echo "major_version=$(LUA_V)" >> $(PKGPP_CONFIG_FILE)
	echo "version=$(LUA_FULL_V)" >> $(PKGPP_CONFIG_FILE)
	echo "lib_name_include=lua$(LUA_V)" >> $(PKGPP_CONFIG_FILE)
	echo "deb_host_multiarch=$(DEB_HOST_MULTIARCH)" >> $(PKGPP_CONFIG_FILE)
	cat debian/lua-c++.pc.in >> $(PKGPP_CONFIG_FILE)
	dh_install

override_dh_strip:
	dh_strip --dbg-package=$(LIB_PACKAGE_NAME)-dbg

## lua5.1 5.1.5

=== debian/changelog ===
lua5.1 (5.1.5-9) unstable; urgency=medium

  * QA upload
  * Remove retired Uploader Enrico Tassi (Closes: #995553)
  * Move Vcs fields to salsa ULRs

 -- Bastian Germann <bage@debian.org>  Wed, 16 Mar 2022 11:18:23 +0100

lua5.1 (5.1.5-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Export _IO_stdin_used in debian/version-script (see #816059).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 Jul 2016 20:57:20 +0200

lua5.1 (5.1.5-8) unstable; urgency=medium

  * Symbols versioning 
  * Acknowledge NMU

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Aug 2015 11:01:41 +0200

lua5.1 (5.1.5-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761773.
  * liblua5.1-0-dev: Recommend libtool-bin.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 09:49:29 +0000

lua5.1 (5.1.5-7) unstable; urgency=medium

  * Patch to fix stack overflow in vararg functions (CVE-2014-5461) 
  * Add symlinks to .pc file in order to ease the life of developers:
    {lua-5.1,lua51} -> lua5.1 (Closes: #498416)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 27 Aug 2014 09:46:39 +0200

lua5.1 (5.1.5-6) unstable; urgency=low

  * Fix .pc file to not spit -L/usr/lib but -L/usr/lib/$DEB_HOST_MULTIARCH
    (Closes: #723483)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 17 Sep 2013 23:44:04 +0200

lua5.1 (5.1.5-5) unstable; urgency=low

  * Packaging moved to git
  * Fix typo in doc (Closes: #676696, thanks Andrey Gursky) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 23 Jul 2012 11:47:20 +0200

lua5.1 (5.1.5-4) unstable; urgency=low

  * Rename lua-deb-multiarch.h into lua5.1-deb-multiarch.h and install it in
    /usr/include/$DEB_HOST_MULTIARCH/ to make it available with no extra
    -I directive (Closes: #682234, #682183, #682299)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Jul 2012 18:43:50 +0200

lua5.1 (5.1.5-3) unstable; urgency=low

  * Install architecture dependent .h file in /usr/lib and fix .pc files
    accordingly to fix multiarch issues (Closes: #676695)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 16 Jul 2012 12:48:01 +0200

lua5.1 (5.1.5-2) unstable; urgency=low

  * Put in the pkg-config .pc file -DDEB_HOST_MULTIARCH so that including
    lua.h (and consequently luaconf.h) works fine even if one is not using
    debhelpers (Closes: #671286, LP: #977813)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 03 May 2012 14:34:16 +0200

lua5.1 (5.1.5-1) unstable; urgency=low

  * New upstream release (Closes: #647518)
  * Bump Standards-Version to 3.9.3 (no changes) 
  * Fix paths of debug symbols setting debian/compat to 9 (Closes: #650104)
  * Build-depend on debhelper >= 9
  * Update debian/copyright yeas to 2012 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Apr 2012 17:47:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: lua5.1
 Section: interpreters
 Priority: optional
-Maintainer: John V. Belmonte <jbelmonte@debian.org>
-Uploaders: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), quilt (>= 0.40), libtool, libreadline-dev
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua5.1
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua5.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 9), quilt (>= 0.40), libtool, libtool-bin, libreadline-dev
+Standards-Version: 3.9.3
 Homepage: http://www.lua.org
+Vcs-Git: https://salsa.debian.org/lua-team/lua5.1.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua5.1
 
 Package: lua5.1-doc
 Architecture: all
@@ -44,7 +43,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: liblua5.1-0 (= ${binary:Version}), libc6-dev|libc-dev, libreadline-dev, ${misc:Depends}
-Recommends: pkg-config, libtool
+Recommends: pkg-config, libtool, libtool-bin
 Section: libdevel
 Description: Development files for the Lua language version 5.1
  Lua is a powerful, light-weight programming language designed for extending

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 LUA_V = 5.1
-LUA_FULL_V = 5.1.4
+LUA_FULL_V = 5.1.5
 SONUM = 0
 LUA = lua$(LUA_V)
 
@@ -10,8 +10,15 @@
 
 PKG_DIR = $(DEB_DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 PKG_CONFIG_FILE = $(PKG_DIR)/$(LUA).pc
+PKG_CONFIG_FILE_FBSD = $(PKG_DIR)/lua-5.1.pc
+PKG_CONFIG_FILE_NODOT = $(PKG_DIR)/lua51.pc
 PKGPP_CONFIG_FILE = $(PKG_DIR)/$(LUA)-c++.pc
+PKGPP_CONFIG_FILE_FBSD = $(PKG_DIR)/lua-5.1-c++.pc
+PKGPP_CONFIG_FILE_NODOT = $(PKG_DIR)/lua51-c++.pc
 DOC_DIR = debian/$(LUA)-doc/usr/share/doc/$(LUA)-doc
+
+LUA_MULTIARCH_INCLUDE = $(DEB_DESTDIR)/include/$(DEB_HOST_MULTIARCH)/
+LUA_MULTIARCH = lua5.1-deb-multiarch.h
 
 ifeq (hurd,$(shell dpkg-architecture -qDEB_HOST_ARCH_OS))
 	LDFLAGS=-lpthread
@@ -20,21 +27,27 @@
 %:
 	dh $*
 
+override_dh_auto_configure:
+	echo "#ifndef _LUA_DEB_MULTIARCH_" > src/$(LUA_MULTIARCH)
+	echo "#define _LUA_DEB_MULTIARCH_" >> src/$(LUA_MULTIARCH)
+	echo "#define DEB_HOST_MULTIARCH \"$(DEB_HOST_MULTIARCH)\"" >> \
+		src/$(LUA_MULTIARCH)
+	echo "#endif" >> src/$(LUA_MULTIARCH)
+
 override_dh_auto_build:
 	$(MAKE) debian_linux \
 		RPATH=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
 		LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install:
 	$(MAKE) debian_install \
 		INSTALL_TOP=$(DEB_DESTDIR) \
 		INSTALL_MAN=$(DEB_DESTDIR)/share/man/man1 \
-		INSTALL_INC=$(DEB_DESTDIR)/include/$(LUA) \
-		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH)
+		INSTALL_INC=$(DEB_DESTDIR)/include/$(LUA)
 
 override_dh_auto_clean:
-	$(MAKE) debian_clean
+	rm -f src/$(LUA_MULTIARCH)
+	-$(MAKE) debian_clean
 
 override_dh_auto_test:
 	$(MAKE) debian_test
@@ -54,12 +67,20 @@
 	echo "lib_name_include=lua$(LUA_V)" >> $(PKG_CONFIG_FILE)
 	echo "deb_host_multiarch=$(DEB_HOST_MULTIARCH)" >> $(PKG_CONFIG_FILE)
 	cat debian/lua.pc.in >> $(PKG_CONFIG_FILE)
+	ln -s $(shell basename $(PKG_CONFIG_FILE)) $(PKG_CONFIG_FILE_FBSD)
+	ln -s $(shell basename $(PKG_CONFIG_FILE)) $(PKG_CONFIG_FILE_NODOT)
 	echo "prefix=/usr" > $(PKGPP_CONFIG_FILE)
 	echo "major_version=$(LUA_V)" >> $(PKGPP_CONFIG_FILE)
 	echo "version=$(LUA_FULL_V)" >> $(PKGPP_CONFIG_FILE)
 	echo "lib_name_include=lua$(LUA_V)" >> $(PKGPP_CONFIG_FILE)
 	echo "deb_host_multiarch=$(DEB_HOST_MULTIARCH)" >> $(PKGPP_CONFIG_FILE)
 	cat debian/lua-c++.pc.in >> $(PKGPP_CONFIG_FILE)
+	ln -s $(shell basename $(PKGPP_CONFIG_FILE)) $(PKGPP_CONFIG_FILE_FBSD)
+	ln -s $(shell basename $(PKGPP_CONFIG_FILE)) $(PKGPP_CONFIG_FILE_NODOT)
+	mkdir -p $(LUA_MULTIARCH_INCLUDE)
+	cp src/$(LUA_MULTIARCH) $(LUA_MULTIARCH_INCLUDE)
+	mkdir -p $(DEB_DESTDIR)/share/lua$(LUA_V)/
+	cp debian/version-script $(DEB_DESTDIR)/share/lua$(LUA_V)/
 	dh_install
 
 override_dh_strip:

=== debian/watch ===
version=3
http://www.lua.org/ftp/lua-(5\.1.*)\.tar\.gz

## lua5.1 5.1.5-8.1

=== debian/changelog ===
lua5.1 (5.1.5-8.1-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Nov 2022 07:22:09 +0800
